package com.incubator.common.util;//package com.incubator.game.common.util;
//
//import java.io.IOException;
//import java.text.SimpleDateFormat;
//import java.util.TimeZone;
//
//import org.slf4j.Logger;
//
//import com.incubator.game.common.log4j.Log4jUtil;
//import com.fasterxml.jackson.annotation.JsonInclude.Include;
//import com.fasterxml.jackson.core.JsonGenerationException;
//import com.fasterxml.jackson.core.JsonParseException;
//import com.fasterxml.jackson.core.type.TypeReference;
//import com.fasterxml.jackson.databind.DeserializationFeature;
//import com.fasterxml.jackson.databind.JsonMappingException;
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.fasterxml.jackson.databind.SerializationFeature;
//
//public class JsonUtil {
//
//	private static final Logger logger = Log4jUtil.getLogger(JsonUtil.class);
//
//	private static final ObjectMapper objectMapper;
//
//	static {
//		objectMapper = new ObjectMapper();
//		objectMapper.configure(SerializationFeature.WRITE_DATES_AS_TIMESTAMPS, false);
//		objectMapper.setTimeZone(TimeZone.getTimeZone("GMT+8"));
//		objectMapper.setSerializationInclusion(Include.NON_NULL);
//		objectMapper.getDeserializationConfig().withoutFeatures(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES);
//		objectMapper.setDateFormat(new SimpleDateFormat("yyyy-MM-dd HH:mm:ss"));
//		objectMapper.configure(SerializationFeature.FAIL_ON_EMPTY_BEANS, false);
//		objectMapper.configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
//		objectMapper.configure(com.fasterxml.jackson.core.JsonParser.Feature.ALLOW_SINGLE_QUOTES, true);
//	}
//
//	public static <T> T toObject(String json, Class<T> clazz) {
//		try {
//			return objectMapper.readValue(json, clazz);
//		} catch (JsonParseException e) {
//			logger.error(e.getMessage(), e);
//		} catch (JsonMappingException e) {
//			logger.error(e.getMessage(), e);
//		} catch (IOException e) {
//			logger.error(e.getMessage(), e);
//		}
//		return null;
//	}
//
//	public static <T> String toJson(T entity) {
//		try {
//			return objectMapper.writeValueAsString(entity);
//		} catch (JsonGenerationException e) {
//			logger.error(e.getMessage(), e);
//		} catch (JsonMappingException e) {
//			logger.error(e.getMessage(), e);
//		} catch (IOException e) {
//			logger.error(e.getMessage(), e);
//		}
//		return null;
//	}
//
//	public static <T> T toCollection(String json, TypeReference<T> typeReference) {
//		try {
//			return objectMapper.readValue(json, typeReference);
//		} catch (JsonParseException e) {
//			logger.error(e.getMessage(), e);
//		} catch (JsonMappingException e) {
//			logger.error(e.getMessage(), e);
//		} catch (IOException e) {
//			logger.error(e.getMessage(), e);
//		}
//		return null;
//	}
//
//}
