package com.incubator.game;

import com.incubator.common.game.IService.ServiceState;

/**
 * Hello world!
 *
 */
public class GameServerStart {

	/**
	 * 可传两参数 配置文件名称 项目主目录 (如：config.properties /home/work/game-center)
	 *
	 * @throws Exception
	 */
	public static void main(String[] args) throws Exception {
		if (args.length > 0) {
			GGame.CONFIG_FILE = args[0];
			if (args.length > 1) {
				GGame.env.initEnv(args[1]);
			}
		}
		// 启动服务
		GGame main = GGame.getInstance();
		main.startService();

		if (main.getState() != ServiceState.ACTIVE) {
			System.exit(0);
		}
	}

}
