package com.incubator.game.timer;

import com.incubator.core.quartz.QuartzTask;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * 每日刷新(每日00：00)
 */
public final class RefreshNewDay extends QuartzTask {

    @Override
    public String getName() {
        return "refreshNewDay";
    }

    @Override
    public String getGroup() {
        return "triggerGroup";
    }

    @Override
    public String getCrond() {
//        return "0 0/2 * * * ?";
        return "0 0 0 * * ?";
    }

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
//        WNPlayer player = null;
//        //0.先统计数据
//        StringBuilder temp = new StringBuilder();
//        int count = 1;
//        for (GPlayer gPlayer : GGame.onlinePlayers.values()) {
//            player = (WNPlayer) gPlayer;
//            temp.append("玩家").append(player.getId()).append("游玩次数:").append(player.memePunksData.challengeNumByDay);
//            if (count < GGame.onlinePlayers.size()) {
//                temp.append(", ");
//                count++;
//            }
//        }
//        long day = MemePunksService.getInstance().data.day;
////        int winNum = MemePunksService.getInstance().data.winPlayers != null ? MemePunksService.getInstance().data.winPlayers.size() : 0;
//        int winNum = 0;
//        for (Team team : MemePunksService.getInstance().data.teams) {
//            if (team != null && team.winPlayers != null && team.winPlayers.size() > 0) {
//                winNum += team.winPlayers.size();
//            }
//        }
//        int challengeNum = MemePunksService.getInstance().data.challengePlayers != null ? MemePunksService.getInstance().data.challengePlayers.size() : 0;
//        String content = "关卡id:" + (day + 1) + ", 今日游玩玩家:" + challengeNum + ", 今日通关玩家:" + winNum
//                        + ", 通关率:" + (challengeNum > 0 ? ((new BigDecimal(winNum).divide(new BigDecimal(challengeNum)))) : 0) + ", " + temp.toString();
//        GGame.getDBHandler().saveStatisticsLog(day + 1, content);
//        //1.刷新玩家数据
//        for (GPlayer gPlayer : GGame.onlinePlayers.values()) {
//            player = (WNPlayer) gPlayer;
//            player.refreshNewDay();
//        }
//        //2.刷新全局数据
//        MemePunksService.getInstance().refreshNewDay();
    }
}
